set echo on
select group#, member from v$logfile
/
pau
begin
   dbms_logmnr.add_logfile (
      '/home/oracle/oradata/PRODB2/log1.redo'
   );
end;
/
begin
   dbms_logmnr.add_logfile (
      '/home/oracle/oradata/PRODB2/log2.redo'
   );
end;
/
begin
   dbms_logmnr.add_logfile (
      '+DG3/log3.redo'
   );
end;
/
pau
begin
   dbms_logmnr.start_logmnr (
      options => dbms_logmnr.dict_from_online_catalog
   );
end;
/
pau
drop table lm_contents;
/
create table lm_contents
as
select * from v$logmnr_contents
/
pau
col seg_name format a30
col seg_owner format a10
select timestamp, scn, seg_owner, seg_name, sql_redo
from lm_contents
where operation = 'DDL'
and seg_owner not in ('SYS','SYSTEM','PUBLIC')
/
